"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var linearprogressbar_common_1 = require("./linearprogressbar.common");
var color_1 = require("tns-core-modules/color");
var Linearprogressbar = (function (_super) {
    __extends(Linearprogressbar, _super);
    function Linearprogressbar() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Linearprogressbar.prototype.createNativeView = function () {
        this._nativeView = LinearProgressBar.new();
        this.setBarColor(this.barColor);
        this.setIndeterminate(this.indeterminate);
        return this._nativeView;
    };
    Linearprogressbar.prototype.setBarColor = function (color) {
        if (!this._nativeView) {
            return;
        }
        if (!color_1.Color.isValid(color)) {
            color = '#00F';
        }
        this._setBarColor(color);
        var barColor = new color_1.Color(color);
        var red = (barColor.r < 255) ? Math.round((barColor.r + 1) / 4) + 189 : 255;
        var green = (barColor.g < 255) ? Math.round((barColor.g + 1) / 4) + 189 : 255;
        var blue = (barColor.b < 255) ? Math.round((barColor.b + 1) / 4) + 189 : 255;
        var barBackgroundColor = new color_1.Color(255, red, green, blue);
        this._nativeView.backgroundProgressBarColor = new UIColor({ red: barBackgroundColor.r / 256, green: barBackgroundColor.g / 256, blue: barBackgroundColor.b / 256, alpha: 1.0 });
        this._nativeView.progressBarColor = barColor.ios;
    };
    Linearprogressbar.prototype.setIndeterminate = function (indeterminate) {
        if (!this._nativeView) {
            return;
        }
        this._setIndeterminate(indeterminate);
        if (indeterminate) {
            this._nativeView.startAnimation();
        }
        else {
            this._nativeView.stopAnimation();
        }
    };
    return Linearprogressbar;
}(linearprogressbar_common_1.Common));
exports.Linearprogressbar = Linearprogressbar;
//# sourceMappingURL=linearprogressbar.ios.js.map